--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.80, 0.3, 0.02, " Taste Numpad 0: Info Ein ");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.80, 0.3, 0.02, "Taste Numpad 0: Info Aus");
		renderText(0.72, 0.78, 0.025, "- Fendt820 -");

		renderText(0.65, 0.75, 0.02, "Taste Numpad 1: Blinker Links an / aus");
		renderText(0.65, 0.73, 0.02, "Taste Numpad 2: Warnblinker an / aus");
		renderText(0.65, 0.71, 0.02, "Taste Numpad 3: Blinker Rechts an / aus");
		renderText(0.65, 0.69, 0.02, "Taste Numpad 4: Rundumleuchte hoch / runter");
		renderText(0.65, 0.67, 0.02, "Taste Numpad 5: Arbeitslicht vorne an / aus");
		renderText(0.65, 0.65, 0.02, "Taste Numpad 6: Arbeitslicht hinten an / aus");
		renderText(0.65, 0.63, 0.02, "Taste Numpad 7: Tuer Links auf / zu");
		renderText(0.65, 0.61, 0.02, "Taste Numpad 8: Heckfenster auf / zu");
                renderText(0.65, 0.59, 0.02, "Taste Numpad 9: Tuer rechts auf / zu");
                renderText(0.65, 0.57, 0.02, "Taste 5:         Frontheber hoch / runter");
                renderText(0.65, 0.55, 0.02, "Taste 6:         Zugmaul hoch");
                renderText(0.65, 0.53, 0.02, "Taste 7:         Zugmaul runter");
                renderText(0.65, 0.51, 0.02, "Taste U:         Zwillingsreifen an / aus");
                renderText(0.65, 0.49, 0.02, "Taste 9:         Allrad an / aus");

             

                renderText(0.72, 0.47, 0.025, "- Fendt820 -");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




